package com.ssj.service.conch.game.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class SaveV1Req extends BaseRequest {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "score", value = "分数", required = true)
    private double score;
	@ApiModelProperty(name = "spaceImagination", value = "空间想象", required = true)
	private double spaceImagination;
	@ApiModelProperty(name = "spatialAbility", value = "空间能力", required = true)
	private double spatialAbility;
	@ApiModelProperty(name = "textSearch", value = "文字搜索", required = true)
	private double textSearch;
	@ApiModelProperty(name = "memory", value = "记忆力", required = true)
	private double memory;
	@ApiModelProperty(name = "observationAbility", value = "观察力", required = true)
	private double observationAbility;
	@ApiModelProperty(name = "graphicReasoning", value = "图形推理", required = true)
	private double graphicReasoning;
	@ApiModelProperty(name = "attention", value = "注意力", required = true)
	private double attention;
	@ApiModelProperty(name = "appraisal", value = "评价", required = true)
	private String appraisal;
	@ApiModelProperty(name = "level", value = "关卡数", required = true)
	private int level;

	public double getScore() {
		return score;
	}

	public void setScore(double score) {
		this.score = score;
	}

	public double getSpaceImagination() {
		return spaceImagination;
	}

	public void setSpaceImagination(double spaceImagination) {
		this.spaceImagination = spaceImagination;
	}

	public double getSpatialAbility() {
		return spatialAbility;
	}

	public void setSpatialAbility(double spatialAbility) {
		this.spatialAbility = spatialAbility;
	}

	public double getTextSearch() {
		return textSearch;
	}

	public void setTextSearch(double textSearch) {
		this.textSearch = textSearch;
	}

	public double getMemory() {
		return memory;
	}

	public void setMemory(double memory) {
		this.memory = memory;
	}

	public double getObservationAbility() {
		return observationAbility;
	}

	public void setObservationAbility(double observationAbility) {
		this.observationAbility = observationAbility;
	}

	public double getGraphicReasoning() {
		return graphicReasoning;
	}

	public void setGraphicReasoning(double graphicReasoning) {
		this.graphicReasoning = graphicReasoning;
	}

	public double getAttention() {
		return attention;
	}

	public void setAttention(double attention) {
		this.attention = attention;
	}

	public String getAppraisal() {
		return appraisal;
	}

	public void setAppraisal(String appraisal) {
		this.appraisal = appraisal;
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}
}
